-- lightning=1.0
-- title=PulseMove
-- caption=PulseMove
-- input1=Difference value
-- input2=Minus pulse
-- input3=Plus pulse
-- output1=Moved value

if channel == 0 then
  -- initialization
  minuspulse = 0
  pluspulse = 0
  difference = 0
  value = 0
elseif channel == 1 then
  -- processing of input and output channel 1
  difference = bridge
  bridge = value
elseif channel == 2 then
  -- processing of input channel 2
  if (minuspulse == 0) and (bridge > 0) then
    value = value - difference
    if value < 0 then
      value = 0
    end
  end
  minuspulse = bridge
elseif channel == 3 then
  -- processing of input channel 3
  if (pluspulse == 0) and (bridge > 0) then
    value = value + difference
    if value > 5119 then
      value = 5119
    end
  end
  pluspulse = bridge
end
